Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.spreadsheet.core.renderer.categorization
Class EMFFormsCategorizationElementRendererService

    java.lang.Object
      org.eclipse.emfforms.internal.spreadsheet.core.renderer.categorization.EMFFormsCategorizationElementRendererService

All Implemented Interfaces:
  EMFFormsSpreadsheetRendererService<VCategorizationElement>

    public class EMFFormsCategorizationElementRendererService

extends Object
implements EMFFormsSpreadsheetRendererService<VCategorizationElement>

The `EMFFormsSpreadsheetRendererService` for `VCategorizationElement`.

Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.emfforms.spi.spreadsheet.core.EMFFormsSpreadsheetRendererService
`NOT_APPLICABLE`

Constructor Summary
`EMFFormsCategorizationElementRendererService()`

Method Summary
`void` | `activate(org.osgi.framework.BundleContext bundleContext)` The activate method.
`void` | `deactivate(org.osgi.framework.BundleContext bundleContext)` The deactivate method.
`EMFFormsAbstractSpreadsheetRenderer<VCategorizationElement>` | `getRendererInstance(VCategorizationElement vElement, ViewModelContext viewModelContext)` Returns a renderer.
`double` | `isApplicable(VElement vElement, ViewModelContext viewModelContext)` Check whether the provided `VElement` can be rendered by the `EMFFormsAbstractSpreadsheetRenderer` provided by `EMFFormsSpreadsheetRendererService.getRendererInstance(VElement, ViewModelContext)`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsCategorizationElementRendererService

    public EMFFormsCategorizationElementRendererService()

Method Detail

### activate

    public void activate(org.osgi.framework.BundleContext bundleContext)

  The activate method.

  Parameters:
    `bundleContext` - The BundleContext

### deactivate

    public void deactivate(org.osgi.framework.BundleContext bundleContext)

  The deactivate method.

  Parameters:
    `bundleContext` - The BundleContext

### isApplicable

    public double isApplicable(VElement vElement,
                               ViewModelContext viewModelContext)

  Check whether the provided `VElement` can be rendered by the `EMFFormsAbstractSpreadsheetRenderer` provided by `EMFFormsSpreadsheetRendererService.getRendererInstance(VElement, ViewModelContext)`.

  Specified by:
    `isApplicable` in interface `EMFFormsSpreadsheetRendererService<VCategorizationElement>`
  Parameters:
    `vElement` - The `VElement` to check
    `viewModelContext` - The `ViewModelContext` to use for the renderer instance
  Returns:
    `EMFFormsSpreadsheetRendererService.NOT_APPLICABLE` if the renderer doesn't fit, a positive value otherwise
  See Also:
    `EMFFormsSpreadsheetRendererService.isApplicable(VElement,ViewModelContext)`

### getRendererInstance

    public EMFFormsAbstractSpreadsheetRenderer<VCategorizationElement> getRendererInstance(VCategorizationElement vElement,
                                                                                           ViewModelContext viewModelContext)

  Returns a renderer.

  Specified by:
    `getRendererInstance` in interface `EMFFormsSpreadsheetRendererService<VCategorizationElement>`
  Parameters:
    `vElement` - The `VElement` to create the renderer instance for
    `viewModelContext` - The `ViewModelContext` to use for the renderer instance
  Returns:
    The AbstractSWTRenderer
  See Also:
    `EMFFormsSpreadsheetRendererService.getRendererInstance(VElement,ViewModelContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.